
#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

//是否开启压灰效果
uniform int u_isOpen;

void main() {
    
    vec4 textureColor = texture2D(CC_Texture0, v_texCoord);
    
    if (u_isOpen != 0) {
        float alpha = textureColor.a;
        vec3 color = textureColor.rgb;
        float grey = dot(color, vec3(0.299, 0.587, 0.114));
        gl_FragColor = v_fragmentColor * vec4(grey, grey, grey, alpha);
    } else {
        gl_FragColor = v_fragmentColor * textureColor;
    }
    
}
