﻿
#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

//是否开启alpha调节
uniform int u_isOpen;
//alpha
uniform float u_alpha;

void main() {
    
    vec4 textureColor = texture2D(CC_Texture0, v_texCoord);
    
    if (u_isOpen != 0) {
        gl_FragColor = v_fragmentColor * textureColor * u_alpha;
    } else {
        gl_FragColor = v_fragmentColor * textureColor;
    }
    
}
