#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

//是否开启压灰效果
uniform int u_isOpen;
uniform float u_lightAmount;

void main() {
    
    vec4 textureColor = texture2D(CC_Texture0, v_texCoord);
    
    if (u_isOpen != 0) {
        gl_FragColor = v_fragmentColor * textureColor.a * u_lightAmount;
    } else {
        gl_FragColor = v_fragmentColor * textureColor * u_lightAmount;
    }
    
}
