
#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform int u_isOpen;

void main() {
    
    vec4 textureColor = texture2D(CC_Texture0, v_texCoord);
    
    if (u_isOpen != 0) {
		
		vec4 normalColor = textureColor * v_fragmentColor;
		normalColor *= vec4(0.8, 1, 0.8, 1);
		normalColor.b += normalColor.a * 0.2;
		gl_FragColor = normalColor;

    } else {
        gl_FragColor = v_fragmentColor * textureColor;
    }
    
}
